---
primaryTopic:
  Accounts:
    AccountCategory: DORMANT
    AccountRefDay: 31
    AccountRefMonth: 03
    LastMadeUpDate: 31/03/2023
    NextDueDate: 31/12/2024
  CompanyCategory: Private Limited Company
  CompanyName: JB DECORATING CONTRACTORS LIMITED
  CompanyNumber: 12166469
  CompanyStatus: Active
  CountryOfOrigin: United Kingdom
  IncorporationDate: 20/08/2019
  RegAddress:
    AddressLine1: 67 HURN ROAD
    PostTown: CHRISTCHURCH
    Country: ENGLAND
    Postcode: BH23 2RL
  Returns:
    LastMadeUpDate: 19/08/2023
    NextDueDate: 02/09/2024
  SICCodes:
    SicText:
      - '43341 - Painting'
